import { OnInit } from '@angular/core';
import { DateTime } from '../../../../forms/page/widgets/datetime';
import * as i0 from "@angular/core";
export declare class DateTimeWidgetViewComponent implements OnInit {
    widget: DateTime;
    widgetValue: any;
    constructor();
    ngOnInit(): void;
    changeValueToDateRange(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DateTimeWidgetViewComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DateTimeWidgetViewComponent, "lib-date-time-widget-view", never, { "widget": "widget"; }, {}, never, never>;
}
